=== debian/changelog ===
authbind (1.1.5.1) frozen unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules (clean): use tab not spaces, so `debian/rules clean'
    actually works. [#27360]
  * debian/rules (binary-arch): don't compress the copyright file.
  * Makefile: install the shared library non-executable.
 
 -- James Troup <james@nocrew.org>  Sun,  3 Jan 1999 21:23:50 +0000

authbind (1.1.5) unstable; urgency=low

  * Fix coredump bug !

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Mon, 31 Aug 1998 15:32:44 +0100

authbind (1.1.4) unstable; urgency=low

  * Allow bind() to port 0 !

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Mon, 31 Aug 1998 15:23:30 +0100

authbind (1.1.3) unstable; urgency=low

  * Make IPPORT_RESERVED check work (oops!).

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sun, 30 Aug 1998 20:52:10 +0100

authbind (1.1.2) unstable; urgency=low

  * Make --deep option actually work (oops).

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sun, 30 Aug 1998 20:09:39 +0100

authbind (1.1.1) unstable; urgency=low

  * Fix Description.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sun, 30 Aug 1998 16:34:28 +0100

authbind (1.1) experimental; urgency=low

  * Allow control of when the LD_PRELOAD is passed on.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sun, 30 Aug 1998 16:18:24 +0100

authbind (1.0) experimental; urgency=low

  * Following testing, we can call this 1.0.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sun, 30 Aug 1998 03:15:21 +0100

authbind (0.1-1) experimental; urgency=low

  * Initial release.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sat, 29 Aug 1998 20:10:37 +0100

Local variables:
mode: debian-changelog
End:
