=== debian/changelog ===
authbind (1.1.5.2-0.1) unstable; urgency=low

  * Non-maintainer Upload
  * Moved man pages to /usr/share/man and docs to
    /usr/share/doc/authbind. Added a prerm and a postinst script to set
    the /usr/doc/authbind link. (closes: #91112, #91376, #91387)
  * Fixed the path to the common licenses in debian/copyright
  * Added a section and priority field to the changelog
  * Added support for the `nostrip' and `debug' options in
    DEB_BUILD_OPTIONS.
  * Boosted Standards-Version to 3.5.2

 -- Bas Zoetekouw <bas@debian.org>  Sun, 13 May 2001 18:00:52 +0200

authbind (1.1.5.2) frozen unstable; urgency=low

  * Non-maintainer upload.
  * Makefile: Add -D_GNU_SOURCE, closes: 86963

 -- Stephen Frost <sfrost@debian.org>  Fri, 16 Mar 2001 19:42:05 -0500
