=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: utils
 Priority: extra
 Maintainer: Ian Jackson <ian@chiark.greenend.org.uk>
-Standards-Version: 2.1.1.0
+Standards-Version: 3.5.2
+Build-Depends: libc6-dev
 
 Package: authbind
 Architecture: any
