=== debian/changelog ===
authbind (1.2.0) unstable; urgency=low

  * Block signals during our child's execution.  Closes: #186439.
  * manpage: fix subtle error in description of interaction between
    set-id and LD_PRELOAD.  Closes: #36890.
  * Say in manpage that we may not work properly with multithreaded
    programs.  See also Bug#186439.
  * Make sure we don't try to encode errno's >127 in a status code.
  * New make variables for improved portability and customisation of
    locations: LIBS, libexec_dir, HELPER, BINTARGETS.
  * make clean removes *.core too.
  * #include <signal.h> in libauthbind.c.
  * Set SHELL=/bin/bash in debian/rules.  Closes: #374586.
  * Revert Amaya's accidental change to CC= line in debian/rules.
  * Debian-native again.  Closes: #393556.
  * Do not strip if DEB_BUILD_OPTIONS=nostrip (Closes: #436489):
    - in Makefile, do not set INSTALL_* or STRIP if already set
    - in rules, export STRIP=: if nostrip
  * Change my email address in Maintainer: to davenant.
    
 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sun, 23 Sep 2007 20:23:50 +0100

authbind (1.1.5.2-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * Get rid of the /usr/doc link (Closes: #359363).
  * Revamped packaging a bit:
    - Get rid of Build-Depends on libc6-dev (build-essential)
    - spelling-error-in-copyright Debian/GNU Linux Debian GNU/Linux
    - Not debian-native anymore
    - Updated ancient-standards-version to 3.7.2, no changes needed.

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Wed, 12 Jul 2006 12:28:12 +0200
