=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: authbind
 Section: utils
 Priority: extra
-Maintainer: Ian Jackson <ian@chiark.greenend.org.uk>
-Standards-Version: 3.5.2
-Build-Depends: libc6-dev
+Maintainer: Ian Jackson <ian@davenant.greenend.org.uk>
+Standards-Version: 3.7.2
 
 Package: authbind
 Architecture: any
