=== debian/rules ===
--- 
+++ 
@@ -18,15 +18,46 @@
 # along with this program; if not, write to the Free Software Foundation,
 # Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
 #
-# $Id: rules,v 1.3 1998/08/30 02:50:08 ian Exp $
+# $Id: rules,v 1.7 2007/09/23 19:22:24 ian Exp $
 
 CC= gcc
+SHELL=/bin/bash
 
 package=authbind
 major=1
 minor=0
 
 arch = $(shell dpkg --print-architecture)
+
+INSTALL = install
+INSTALL_FILE    = $(INSTALL) -p    -o root -g root  -m  644
+INSTALL_PROGRAM = $(INSTALL) -p    -o root -g root  -m  755
+INSTALL_SCRIPT  = $(INSTALL) -p    -o root -g root  -m  755
+INSTALL_DIR     = $(INSTALL) -p -d -o root -g root  -m  755
+
+CFLAGS = -O2 -Wall
+LDFLAGS = 
+
+
+CFLAGS += -g
+LDFLAGS += -g 
+
+ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
+INSTALL_PROGRAM += -s
+STRIP=strip
+else
+STRIP=:
+endif
+
+export CFLAGS
+export LDFLAGS
+export INSTALL
+export INSTALL_FILE
+export INSTALL_PROGRAM
+export INSTALL_SCRIPT
+export INSTALL_DIR
+export STRIP
+
 
 build: 
 	$(MAKE) prefix=/usr
@@ -43,25 +74,25 @@
 # made here.
 
 lab=libauthbind.so.$(major).$(minor)
-udp=debian/tmp/usr/doc/$(package)
+udp=debian/tmp/usr/share/doc/$(package)
 
 binary-arch:	checkroot build
 	rm -rf debian/tmp
 	install -d -g root -m 755 -o root debian/tmp/DEBIAN $(udp) \
-		debian/tmp/usr/{bin,lib/$(package),man}
+		debian/tmp/usr/{bin,lib/$(package),share/man}
 	$(MAKE) prefix=debian/tmp/usr etc_dir=debian/tmp/etc/authbind \
-		man_dir=debian/tmp/usr/man  install install_man
-	install -g root -o root -m 644 debian/changelog $(udp)/changelog.Debian
-	gzip -9 debian/tmp/usr/man/man*/* $(udp)/*
-	install -g root -o root -m 644 debian/copyright $(udp)/.
-	install -g root -o root -m 755 debian/postrm debian/tmp/DEBIAN
+		man_dir=debian/tmp/usr/share/man  install install_man
+	$(INSTALL_FILE) debian/changelog $(udp)/changelog
+	gzip -9 debian/tmp/usr/share/man/man*/* $(udp)/*
+	$(INSTALL_FILE) debian/copyright $(udp)/.
+	$(INSTALL_SCRIPT) debian/{postrm,prerm,postinst} debian/tmp/DEBIAN
 ifneq ($(arch),alpha)
-	install -g root -o root -m 644 debian/shlibs debian/tmp/DEBIAN
+	$(INSTALL_FILE) debian/shlibs debian/tmp/DEBIAN
 else
-	install -g root -o root -m 644 debian/shlibs.alpha debian/tmp/DEBIAN/shlibs
+	$(INSTALL_FILE) debian/shlibs.alpha debian/tmp/DEBIAN/shlibs
 endif
 	dpkg-shlibdeps ./authbind
-	dpkg-gencontrol
+	dpkg-gencontrol -isp
 	chown -R root.root debian/tmp
 	chmod -R g-ws debian/tmp
 	dpkg --build debian/tmp ..
