## authbind 1.2.0build2

=== debian/changelog ===
authbind (1.2.0build2) karmic; urgency=low

  * helper.c libauthbind.c: Allow ports above 1023. (LP: #347211) 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 13 Oct 2009 13:34:18 -0400

authbind (1.2.0build1) karmic; urgency=low

  * No-change rebuild to gain FORTIFY defaults.

 -- Kees Cook <kees@ubuntu.com>  Mon, 11 May 2009 12:07:16 -0700
