## authbind 2.1.1

=== debian/changelog ===
authbind (2.1.1) unstable; urgency=low

  * Manpage has an example of which files will be checked and read
    Closes: #676540.
  * Do not include library version number in usage output from helper; the
    library and package version numbers are not the same, so this is
    misleading, and we do not want to introduce new machinery just to
    plumb the package version number through.  Closes: #676440.
  * Another minor wording fix in the manpage.x

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 10 Jun 2012 23:17:14 +0100

authbind (2.1.0) unstable; urgency=low

  * Permissions file lines can contain IPv6 mask/length.
  * Permissions file lines need only contain one port number.
  * Manpage improvements.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 03 Jun 2012 12:33:53 +0100

authbind (2.0.1) unstable; urgency=low

  Bugfix:
  * 0-length ipv4 address masks (ie, 0.0.0.0/0) in byuid files wouldn't
    work because they would attempt a 32-bit shift.  This was reported
    against Ubuntu in Launchpad but the but is here too.  LP: #514278.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 03 Jun 2012 01:50:13 +0100

authbind (2.0.0) unstable; urgency=medium

  Important new functionality:
  * Support IPv6.  (Closes: #596921.)
  * Support ports 512-1023 if the user really wants.
    Explain the problem more clearly in the manpage.  (Closes: 654706.)

  Bugfixes:
  * Correct manpage description of helper protocol to have
    actually-implemented byte order convention.  (Closes: #651694.)
  * Improve wording in BUGS section of manpage about forking.

  Packaging fixes:
  * Remove shlibs files.  These are not needed because nothing should
    actually link to libauthbind.
  * Update Standards-Version.
  * Upstream repo is now in git.
  * Change my email address.
  * Set Priority to optional as in ftpmaster override file.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sat, 02 Jun 2012 01:56:37 +0100
