=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 # along with this program; if not, write to the Free Software Foundation,
 # Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
 #
-# $Id: rules,v 1.7 2007/09/23 19:22:24 ian Exp $
+# $Id$
 
 CC= gcc
 SHELL=/bin/bash
@@ -86,11 +86,6 @@
 	gzip -9 debian/tmp/usr/share/man/man*/* $(udp)/*
 	$(INSTALL_FILE) debian/copyright $(udp)/.
 	$(INSTALL_SCRIPT) debian/{postrm,prerm,postinst} debian/tmp/DEBIAN
-ifneq ($(arch),alpha)
-	$(INSTALL_FILE) debian/shlibs debian/tmp/DEBIAN
-else
-	$(INSTALL_FILE) debian/shlibs.alpha debian/tmp/DEBIAN/shlibs
-endif
 	dpkg-shlibdeps ./authbind
 	dpkg-gencontrol -isp
 	chown -R root.root debian/tmp
