## authbind 2.1.1+nmu1

=== Makefile ===
--- 
+++ 
@@ -15,8 +15,6 @@
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software Foundation,
 # Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
-#
-# $Id: Makefile,v 1.10 2007/09/23 19:22:24 ian Exp $
 
 prefix=/usr/local
