=== debian/changelog ===
authbind (2.1.1+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix mtimes before building binary packages to produce reproducible output
    Based on patch by akira (Closes: #792945)

 -- Johannes Schauer <josch@debian.org>  Sun, 26 Jul 2015 11:23:35 +0200
