## authbind 2.1.2

=== Makefile ===
--- 
+++ 
@@ -82,7 +82,7 @@
 helper.o authbind.o:	authbind.h
 
 $(LIBTARGET):		libauthbind.o
-		ld -shared -soname $(LIBCANON) -o $@ $< $(LIBS)
+		$(LD) -shared -soname $(LIBCANON) -o $@ $< $(LIBS)
 
 clean distclean:
 		rm -f $(TARGETS) *.o *~ ./#*# *.bak *.new core
