=== debian/changelog ===
authbind (2.1.2) unstable; urgency=medium

  * Cope with programs which set SIGCHLD to SIG_IGN.  (We assume
    they don't manipulate SIGCHLD on other threads, which is probably
    true.)  Patch from Marco d'Itri, slightly modified.  Closes:#765587.
  * Fix one-letter typo in previous changelog entry.
  * Add -n to gzip -9 rune, to help reproducibility.  Closes:#777727.
  * Fix FTCBFS: Use triplet-prefixed build tools.
    Patch from Helmut Grohne, modified.  Closes: #851206.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 22 Jan 2017 13:17:55 +0000
