## authbind 2.1.3

=== debian/changelog ===
authbind (2.1.3) unstable; urgency=medium

  * debian/rules: add newly required targets, and reorder/tidy.
    Closes: #999242.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Fri, 17 Dec 2021 18:34:02 +0000
