=== debian/rules ===
--- 
+++ 
@@ -64,23 +64,11 @@
 export INSTALL_DIR
 export STRIP
 
-
-build: 
-	$(MAKE) prefix=/usr CC='$(CC)' LD='$(TOOL_PREFIX)ld'
-
-clean:	
-	$(MAKE) distclean
-	rm -rf debian/{files,substvars,tmp} build
-	rm -f debian/*~ debian/#*# debian/core debian/*.bak
-
-binary-indep:   checkroot build
-	$(checkdir)
-# There are no architecture-independent files to be uploaded
-# generated by this package.  If there were any they would be
-# made here.
-
 lab=libauthbind.so.$(major).$(minor)
 udp=debian/tmp/usr/share/doc/$(package)
+
+build-arch: 
+	$(MAKE) prefix=/usr CC='$(CC)' LD='$(TOOL_PREFIX)ld'
 
 binary-arch:	checkroot build
 	rm -rf debian/tmp
@@ -100,8 +88,18 @@
 		xargs -0r touch --no-dereference --date="@$$SOURCE_DATE_EPOCH"
 	dpkg --build debian/tmp ..
 
-binary:	 binary-indep binary-arch
+binary-indep build-indep:
+# There are no architecture-independent files to be uploaded
+# generated by this package.
+
+clean:	
+	$(MAKE) distclean
+	rm -rf debian/{files,substvars,tmp} build
+	rm -f debian/*~ debian/#*# debian/core debian/*.bak
 
 checkroot:
 	$(checkdir)
 	test root = "`whoami`"
+
+binary:	binary-indep binary-arch
+build:	build-indep build-arch
