## authbind 2.1.3build1

=== debian/changelog ===
authbind (2.1.3build1) jammy; urgency=medium

  * No-change rebuild for ppc64el baseline bump.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 23 Mar 2022 10:41:57 +0100
