## authbind 2.1.3build2

=== debian/changelog ===
authbind (2.1.3build2) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 17:54:08 +0200
