## authbind 2.1.3ubuntu2

=== debian/changelog ===
authbind (2.1.3ubuntu2) oracular; urgency=medium

  * Rebuild to exclude .git directory from source.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Tue, 09 Jul 2024 09:24:56 -0400

authbind (2.1.3ubuntu1) oracular; urgency=medium

  * Do not override CFLAGS & LDFLAGS set by the maintainer. This allows one to
    control the presence of frame-pointers (LP: #2071841) and also enable LTO.

 -- Olivier Gayot <olivier.gayot@canonical.com>  Wed, 03 Jul 2024 17:42:33 +0200
