=== debian/rules ===
--- 
+++ 
@@ -41,12 +41,8 @@
 INSTALL_SCRIPT  = $(INSTALL) -p    -o root -g root  -m  755
 INSTALL_DIR     = $(INSTALL) -p -d -o root -g root  -m  755
 
-CFLAGS = -O2 -Wall
-LDFLAGS = 
 
-
-CFLAGS += -g
-LDFLAGS += -g 
+include /usr/share/dpkg/buildflags.mk
 
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
 STRIP=$(TOOL_PREFIX)strip
@@ -55,8 +51,6 @@
 STRIP=:
 endif
 
-export CFLAGS
-export LDFLAGS
 export INSTALL
 export INSTALL_FILE
 export INSTALL_PROGRAM
@@ -68,7 +62,7 @@
 udp=debian/tmp/usr/share/doc/$(package)
 
 build-arch: 
-	$(MAKE) prefix=/usr CC='$(CC)' LD='$(TOOL_PREFIX)ld'
+	$(MAKE) prefix=/usr CC='$(CC)' LD='$(TOOL_PREFIX)ld' CFLAGS='$(CFLAGS)' LDFLAGS='$(LDFLAGS)'
 
 binary-arch:	checkroot build
 	rm -rf debian/tmp
