=== debian/changelog ===
authbind (2.2.0) unstable; urgency=medium

  Upstream build system:
  * Makefile: Fix missing `install -d` of `$(bin_dir)`.  [Niels Thykier]
  * Makefile: Support `DESTDIR` convention.  [Niels Thykier]
  * Makefile: Fix race creating manpage dirs.

  Debian packaging:
  * Rewrite packaging to use dh sequencer.  Packaging output greatly improved.
    Removes the need for fakeroot.  Closes: #1086628.  [Niels Thykier]
    Probably also fixes #1075720.
  * Description: Mention LD_PRELOAD.  Closes: #949949.
  * d/control: Add `Vcs-*` headers.   [Niels Thykier]
  * Abolish the prerm and postinst (/usr/share transition).  Closes: #866249.
  * Add an autopkgtest.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Mon, 11 Nov 2024 00:04:16 +0000
