=== debian/control ===
Source: authbind
Section: utils
Priority: optional
Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
Standards-Version: 3.9.1
Build-Depends: debhelper-compat (= 13),
Rules-Requires-Root: no
Vcs-Git: https://www.chiark.greenend.org.uk/ucgi/~ian/githttp/authbind.git
Vcs-Browser: https://www.chiark.greenend.org.uk/ucgi/~ian/git/authbind.git

Package: authbind
Architecture: any
Depends: ${shlibs:Depends}
Description: Allows non-root programs to bind() to low ports
 This package allows a package to be started as non-root but
 still bind to low ports, without any changes to the application.
 .
 This is achieved with LD_PRELOAD.
