=== debian/tests/control ===
Depends: @, socat, chiark-really
Restrictions: needs-root, skippable, allow-stderr
Tests: socat
