## authbind 2.2.0ubuntu1

=== Makefile ===
--- 
+++ 
@@ -36,16 +36,11 @@
 STRIP		?= strip
 
 OPTIMISE=	-O2
-LDFLAGS=	-g
+LDFLAGS ?=	-g
 LIBS=		-ldl -lc
-CFLAGS=		-g $(OPTIMISE) \
+CFLAGS ?=		-g $(OPTIMISE) \
 		-Wall -Wwrite-strings -Wpointer-arith -Wimplicit \
 		-Wnested-externs -Wmissing-prototypes -Wstrict-prototypes
-CPPFLAGS=	-DMAJOR_VER='"$(MAJOR)"' -DMINOR_VER='"$(MINOR)"' \
-		-DLIBAUTHBIND='"$(lib_dir)/$(LIBCANON)"' \
-		-DHELPER='"$(libexec_dir)/$(HELPER)"' -DCONFIGDIR='"$(etc_dir)"' \
-		-D_GNU_SOURCE
-
 MAJOR=1
 MINOR=0
 LIBCANON=	libauthbind.so.$(MAJOR)
@@ -56,6 +51,11 @@
 TARGETS=		$(BINTARGETS) $(HELPER) $(LIBTARGET)
 MANPAGES_1=		authbind.1
 MANPAGES_8=		authbind-helper.8
+
+CPPFLAGS := $(CPPFLAGS) -DMAJOR_VER='"$(MAJOR)"' -DMINOR_VER='"$(MINOR)"' \
+		-DLIBAUTHBIND='"$(lib_dir)/$(LIBCANON)"' \
+		-DHELPER='"$(libexec_dir)/$(HELPER)"' -DCONFIGDIR='"$(etc_dir)"' \
+		-D_GNU_SOURCE
 
 all:			$(TARGETS)
