=== debian/changelog ===
authbind (2.2.0ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2085217). Remaining changes:
    - .gititnore, d/.cvsignore: deleted
      [previously undocumented]
    - Do not override CFLAGS & LDFLAGS set by the maintainer. This
      allows one to control the presence of frame-pointers (LP #2071841) and
      also enable LTO.
      + Makefile: honor buildflags set by the buildsystem, if any
      + d/rules: export buildflags

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 06 Dec 2024 17:18:57 +0000
