=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: authbind
 Section: utils
 Priority: optional
-Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
 Standards-Version: 3.9.1
 Build-Depends: debhelper-compat (= 13),
 Rules-Requires-Root: no
