=== debian/rules ===
--- 
+++ 
@@ -36,6 +36,8 @@
 export INSTALL_DIR
 export STRIP
 
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 %:
 	dh $@
