## authbind 2.2.0ubuntu2

=== debian/changelog ===
authbind (2.2.0ubuntu2) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@ubuntu.com>  Sat, 06 Dec 2025 10:36:45 +0100
